#
# spec file for package python-octavia-lib
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-octavia-lib
Version:        1.1.1
Release:        1.1
Summary:        A library to support Octavia provider drivers.
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://git.openstack.org/cgit/openstack/octavia-lib
Source0:        https://files.pythonhosted.org/packages/source/o/octavia-lib/octavia-lib-1.1.1.tar.gz
# https://review.openstack.org/644874
Patch0:         0001-Do-not-install-README.rst-and-LICENSE.patch
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-mock
BuildRequires:  python2-oslo.i18n
BuildRequires:  python2-oslo.log
BuildRequires:  python2-oslo.serialization
BuildRequires:  python2-oslo.utils
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr
BuildRequires:  python2-stestr
BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-oslo.i18n
BuildRequires:  python3-oslo.log
BuildRequires:  python3-oslo.serialization
BuildRequires:  python3-oslo.utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr
BuildRequires:  python3-stestr
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python-oslo.serialization
Requires:       python-pbr
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
A library to support Octavia provider drivers.

This python module provides a python library for Octavia provider driver
developers.

%prep
%autosetup -p1 -n octavia-lib-%{version}
%py_req_cleanup

%build
%{python_build}

%install
%{python_install}

%check
%{python_expand export PYTHONPATH=.
$python  -m stestr.cli run
}

%files %{python_files}
%license LICENSE
%doc ChangeLog README.rst
%{python_sitelib}/octavia_lib
%{python_sitelib}/octavia_lib*egg-info

%changelog
